"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Subject_1 = require("rxjs/Subject");
var merge_1 = require("lodash-es/merge");
var NGXLoadingService = (function () {
    function NGXLoadingService() {
        this.startBehavior = new Subject_1.Subject();
        this.finishBehavior = new Subject_1.Subject();
        this.ngxLoadingStart$ = this.startBehavior.asObservable();
        this.ngxLoadingFinish$ = this.finishBehavior.asObservable();
        this.ngxLoadingOptions = {
            active: false,
            text: 'Loading...',
            className: '',
            overlay: true,
            spinner: true,
            spinnerOptions: {
                lines: 12,
                length: 7,
                width: 4,
                radius: 10,
                rotate: 0,
                corners: 1,
                color: '#000',
                direction: 1,
                speed: 2,
                trail: 100,
                opacity: 1 / 4,
                fps: 20,
                zIndex: 2e9,
                className: 'ngx-spinner',
                top: 'auto',
                left: 'auto',
                position: 'relative'
            }
        };
        this.start('');
    }
    NGXLoadingService.prototype.setDefaultOptions = function (options) {
        merge_1.default({}, this.ngxLoadingOptions, options);
    };
    NGXLoadingService.prototype.start = function (key) {
        this.startBehavior.next(key);
    };
    NGXLoadingService.prototype.finish = function (key) {
        this.finishBehavior.next(key);
    };
    NGXLoadingService.decorators = [
        { type: core_1.Injectable },
    ];
    NGXLoadingService.ctorParameters = function () { return []; };
    return NGXLoadingService;
}());
exports.NGXLoadingService = NGXLoadingService;
//# sourceMappingURL=ngx-angular-loading.service.js.map